Bug 1268070 - EC2MetadataIp and ControlPlaneDefaultRoute Have No Default Value
EC2MetadataIp and ControlPlaneDefaultRoute Have No Default Value
Status: CLOSED CURRENTRELEASE
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates (Show other bugs)
7.0 (Kilo)
Unspecified Unspecified
high Severity unspecified
: ---
: 10.0 (Newton)
Assigned To: Dan Sneddon
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-01 14:21 EDT by Dan Sneddon
Modified: 2016-10-05 17:41 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-10-05 17:41:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dan Sneddon 2015-10-01 14:21:10 EDT
Description of problem:
The recently-added EC2MetadataIp has no default value. This means that you can't launch a stack by simply including the network-isolation.yaml and net-single-nic-with-vlans.yaml, you need a network environment file.

Version-Release number of selected component (if applicable):
openstack-tripleo-heat-templates.noarch    0.8.6-70.el7ost        @rhelosp-7.0-director-puddle


How reproducible:
100%

Steps to Reproduce:
1. Deploy with "openstack overcloud deploy -e /usr/share/openstack-tripleo-heat-templates/environments/network-isolation.yaml -e /usr/share/openstack-tripleo-heat-templates/environments/net-single-nic-with-vlans.yaml <other_params>
2.
3.

Actual results:
Stack failed with status: Resource CREATE failed: resources[0]: resources.Compute.Property error: resources.NetworkConfig.properties: Property ControlPlaneDefaultRoute not assigned


Expected results:
We used to have defaults defined for all values that worked well for CI and testing. Now, we can't deploy with default values unless there is a network-environment.yaml file. We either need a default network-environment.yaml inside of the environments folder, or we need to have defaults for these new parameters.

Additional info:
Comment 3 Mike Burns 2016-04-07 16:54:03 EDT
This bug did not make the OSP 8.0 release.  It is being deferred to OSP 10.

Note You need to log in before you can comment on or make changes to this bug.